2014-06-17 07:43:08 +00:00
|
|
|
From df4d0bb82b7571d0230abbae8b918373b62fdb74 Mon Sep 17 00:00:00 2001
|
|
|
|
From: Hannes Reinecke <hare@suse.de>
|
|
|
|
Date: Mon, 16 Jun 2014 14:10:48 +0200
|
|
|
|
Subject: 95fcoe-uefi: Test for EFI firmware
|
|
|
|
|
|
|
|
The fcoe-uefi module should test for EFI firmware when called
|
|
|
|
in 'hostonly' mode; of no EFI firmware is found then the module
|
|
|
|
doesn't need to be included.
|
|
|
|
|
|
|
|
References: bnc#882412
|
|
|
|
|
|
|
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
|
|
|
---
|
|
|
|
modules.d/95fcoe-uefi/module-setup.sh | 3 +++
|
|
|
|
1 file changed, 3 insertions(+)
|
|
|
|
|
2015-03-31 14:12:12 +00:00
|
|
|
Index: dracut-041/modules.d/95fcoe-uefi/module-setup.sh
|
|
|
|
===================================================================
|
|
|
|
--- dracut-041.orig/modules.d/95fcoe-uefi/module-setup.sh 2015-01-31 12:54:52.000000000 +0100
|
|
|
|
+++ dracut-041/modules.d/95fcoe-uefi/module-setup.sh 2015-03-24 15:07:41.762515236 +0100
|
|
|
|
@@ -2,6 +2,9 @@
|
2014-06-17 07:43:08 +00:00
|
|
|
|
|
|
|
# called by dracut
|
|
|
|
check() {
|
|
|
|
+ [[ $hostonly ]] || [[ $mount_needs ]] && {
|
|
|
|
+ [ -d /sys/firmware/efi ] || return 255
|
|
|
|
+ }
|
|
|
|
require_binaries dcbtool fipvlan lldpad ip readlink || return 1
|
|
|
|
return 0
|
|
|
|
}
|